Loading...
Searching...
No Matches
casacore::MaskedMadfmFunc< T > Class Template Reference

`#include <MaskArrMath.h>`

## Public Member Functions

| MaskedMadfmFunc (bool sorted=false, bool takeEvenMean=true)
float | operator() (const MaskedArray< float > &arr) const

## Private Attributes

bool | itsSorted
bool | itsTakeEvenMean
bool | itsInPlace

## Detailed Description

template<typename T>
class casacore::MaskedMadfmFunc< T >

Definition at line 495 of file MaskArrMath.h.

## Constructor & Destructor Documentation

## MaskedMadfmFunc()

template<typename T>

casacore::MaskedMadfmFunc< T >::MaskedMadfmFunc | ( | bool | sorted = false,
|  | bool | takeEvenMean = true )

inline explicit

Definition at line 497 of file MaskArrMath.h.

References itsSorted, and itsTakeEvenMean.

## Member Function Documentation

## operator()()

template<typename T>

float casacore::MaskedMadfmFunc< T >::operator() | ( | const MaskedArray< float > & | arr | ) | const

inline

Definition at line 499 of file MaskArrMath.h.

References itsSorted, and itsTakeEvenMean.

## Member Data Documentation

## itsInPlace

template<typename T>

bool casacore::MaskedMadfmFunc< T >::itsInPlace

private

Definition at line 504 of file MaskArrMath.h.

## itsSorted

template<typename T>

bool casacore::MaskedMadfmFunc< T >::itsSorted

private

Definition at line 502 of file MaskArrMath.h.

Referenced by MaskedMadfmFunc(), and operator()().

## itsTakeEvenMean

template<typename T>

bool casacore::MaskedMadfmFunc< T >::itsTakeEvenMean

private

Definition at line 503 of file MaskArrMath.h.

Referenced by MaskedMadfmFunc(), and operator()().

The documentation for this class was generated from the following file:

- casa/Arrays/MaskArrMath.h